=== debian/changelog ===
copyq (3.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 27 Oct 2017 21:31:15 +0800

copyq (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 04 Oct 2017 21:14:50 +0800

copyq (3.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 28 Sep 2017 20:26:13 +0800

copyq (3.0.3+git20170926-3) unstable; urgency=medium

  * Stop using B-D-Indep to workaround FTBFS in non-all builds.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 28 Sep 2017 00:27:10 +0800

copyq (3.0.3+git20170926-2) unstable; urgency=medium

  [ Yangfl ]
  * Use dh_sphinxdoc to build copyq-doc.

  [ Boyuan Yang ]
  * Mark copyq-doc as M-A: foreign.

 -- Yangfl <mmyangfl@gmail.com>  Wed, 27 Sep 2017 20:01:56 +0800

copyq (3.0.3+git20170926-1) unstable; urgency=medium

  * New upstream snapshot.
    + Try to fix FTBFS on non-linux platforms. (See #876465)
    + Various fixes.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 26 Sep 2017 22:42:37 +0800

copyq (3.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #736768)

 -- Yangfl <mmyangfl@gmail.com>  Sun, 10 Sep 2017 20:33:01 +0800
