## copyq 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,9 @@
     set(APPDATA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/metainfo" CACHE PATH "Install path for \"copyq.appdata.xml\"")
     set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/man/man1" CACHE PATH "Install path for manual pages")
     set(TRANSLATION_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/copyq/translations" CACHE PATH "Install path for translations")
+    set(DESKTOP_INSTALL_NAME "copyq.desktop" CACHE STRING "Name for desktop file")
+    set(APPDATA_INSTALL_NAME "copyq.appdata.xml" CACHE STRING "Name for appdata file")
+    set(ICON_NAME "copyq" CACHE STRING "Name for icon files")
 endif()
 
 set(CMAKE_AUTOMOC ON)
@@ -65,7 +68,7 @@
 if(CMAKE_COMPILER_IS_GNUCXX OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-long-long")
     set(CMAKE_CXX_FLAGS_DEBUG
-        "${CMAKE_CXX_FLAGS_DEBUG} -Wextra -Wall -pedantic -Wfloat-equal -Woverloaded-virtual -Wundef")
+        "${CMAKE_CXX_FLAGS_DEBUG} -Wextra -Wall -pedantic -Wfloat-equal -Woverloaded-virtual -Wundef -Wno-inconsistent-missing-destructor-override")
 endif()
 
 if (PEDANTIC)
@@ -171,17 +174,19 @@
 endif()
 
 if (UNIX AND NOT APPLE)
-    install(FILES ${copyq_ICON_NORMAL} DESTINATION ${ICON_INSTALL_PREFIX} RENAME copyq-normal.svg)
-    install(FILES ${copyq_ICON_BUSY}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME copyq-busy.svg)
-    install(FILES ${copyq_DESKTOP}     DESTINATION ${DESKTOP_INSTALL_PREFIX})
-    install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX})
+    install(FILES ${copyq_ICON_NORMAL} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-normal.svg)
+    install(FILES ${copyq_ICON_BUSY}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-busy.svg)
+    install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX} RENAME ${APPDATA_INSTALL_NAME})
     install(FILES ${copyq_MANPAGE}     DESTINATION ${MANPAGE_INSTALL_PREFIX})
+
+    configure_file(${copyq_DESKTOP}.in ${copyq_DESKTOP})
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${copyq_DESKTOP} DESTINATION ${DESKTOP_INSTALL_PREFIX} RENAME ${DESKTOP_INSTALL_NAME})
 
     foreach (copyq_ICON_EXTENT 16 22 24 32 48 64 128)
         set(copyq_ICON_SIZE "${copyq_ICON_EXTENT}x${copyq_ICON_EXTENT}")
         string(REPLACE "%SIZE%" "${copyq_ICON_SIZE}" copyq_ICON_TARGET_PREFIX "${ICON_INSTALL_PREFIX_TEMPLATE}")
         foreach (copyq_ICON_TYPE "" "-normal" "-busy")
-            install(FILES "${copyq_ICON_PREFIX}${copyq_ICON_TYPE}_${copyq_ICON_SIZE}.png" DESTINATION "${copyq_ICON_TARGET_PREFIX}" RENAME "copyq${copyq_ICON_TYPE}.png")
+            install(FILES "${copyq_ICON_PREFIX}${copyq_ICON_TYPE}_${copyq_ICON_SIZE}.png" DESTINATION "${copyq_ICON_TARGET_PREFIX}" RENAME "${ICON_NAME}${copyq_ICON_TYPE}.png")
         endforeach()
     endforeach()
 
@@ -189,11 +194,12 @@
     file(GLOB copyq_THEMES shared/themes/*.ini)
     install(FILES ${copyq_THEMES} DESTINATION ${THEME_INSTALL_PREFIX})
 
-    add_definitions( -DCOPYQ_ICON_PREFIX="${ICON_INSTALL_PREFIX}/copyq" )
+    add_definitions( -DCOPYQ_ICON_PREFIX="${ICON_INSTALL_PREFIX}/${ICON_NAME}" )
     add_definitions( -DCOPYQ_THEME_PREFIX="${THEME_INSTALL_PREFIX}" )
     add_definitions( -DCOPYQ_PLUGIN_PREFIX="${PLUGIN_INSTALL_PREFIX}" )
-    add_definitions( -DCOPYQ_DESKTOP_PREFIX="${DESKTOP_INSTALL_PREFIX}" )
+    add_definitions( -DCOPYQ_DESKTOP_FILE="${DESKTOP_INSTALL_PREFIX}/${DESKTOP_INSTALL_NAME}" )
     add_definitions( -DCOPYQ_TRANSLATION_PREFIX="${TRANSLATION_INSTALL_PREFIX}" )
+    add_definitions( -DCOPYQ_ICON_NAME="${ICON_NAME}" )
 endif()
 
 add_definitions( -DQT_NO_CAST_TO_ASCII )
