=== plugins/itemdata/CMakeLists.txt ===
set(copyq_plugin_itemdata_SOURCES
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/textdata.cpp
    )

copyq_add_plugin(itemdata)
