=== plugins/itemnotes/CMakeLists.txt ===
set(copyq_plugin_itemnotes_SOURCES
    ../../src/gui/iconfont.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/textdata.cpp
    )

copyq_add_plugin(itemnotes)
