=== plugins/itempinned/CMakeLists.txt ===
set(copyq_plugin_itempinned_SOURCES
    ../../src/common/display.cpp
    )

copyq_add_plugin(itempinned)
