=== plugins/itemsync/CMakeLists.txt ===
set(copyq_plugin_itemsync_SOURCES
    ../../src/common/config.cpp
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/gui/iconfont.cpp
    ../../src/gui/iconselectbutton.cpp
    ../../src/gui/iconselectdialog.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/item/serialize.cpp
    )

copyq_add_plugin(itemsync)
