=== debian/changelog ===
copyq (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Use Salsa platform for Vcs fields.
  * d/control: Use debhelper compat v11.
  * d/control: Use Standards-Version 4.1.3.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 19 Feb 2018 00:45:48 +0800
