=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libxfixes-dev,
@@ -18,10 +18,10 @@
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://hluk.github.io/CopyQ/
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/copyq.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/copyq.git
+Vcs-Browser: https://salsa.debian.org/debian/copyq
+Vcs-Git: https://salsa.debian.org/debian/copyq.git
 
 Package: copyq
 Architecture: any
