## copyq 3.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.6)
+cmake_minimum_required(VERSION 2.8.8)
 project(copyq)
 
 # C++11
@@ -16,7 +16,6 @@
 OPTION(PEDANTIC "Enable all compiler warnings" OFF)
 
 # Options (cmake -LH)
-OPTION(WITH_QT5 "Use Qt 5 (disable to use Qt 4 instead)" ON)
 OPTION(WITH_TESTS "Run test cases from command line" ${COPYQ_DEBUG})
 OPTION(WITH_PLUGINS "Compile plugins" ON)
 # Unix-specific options
@@ -25,43 +24,24 @@
     set(ICON_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps" CACHE PATH "Install path for icons")
     set(ICON_INSTALL_PREFIX_TEMPLATE "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/%SIZE%/apps" CACHE PATH "Install path for icons (%SIZE% is icon size)")
     set(THEME_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/copyq/themes" CACHE PATH "Install path for themes")
-    set(DESKTOP_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/applications" CACHE PATH "Install path for \"copyq.desktop\"")
-    set(APPDATA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/metainfo" CACHE PATH "Install path for \"copyq.appdata.xml\"")
+    set(DESKTOP_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/applications" CACHE PATH "Install path for desktop file")
+    set(APPDATA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/metainfo" CACHE PATH "Install path for AppData file")
     set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/man/man1" CACHE PATH "Install path for manual pages")
     set(TRANSLATION_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/copyq/translations" CACHE PATH "Install path for translations")
-    set(DESKTOP_INSTALL_NAME "copyq.desktop" CACHE STRING "Name for desktop file")
-    set(APPDATA_INSTALL_NAME "copyq.appdata.xml" CACHE STRING "Name for appdata file")
     set(ICON_NAME "copyq" CACHE STRING "Name for icon files")
 endif()
 
 set(CMAKE_AUTOMOC ON)
 
-if (WITH_QT5)
-    cmake_minimum_required(VERSION 2.8.8)
-    list(APPEND copyq_Qt5_Modules Widgets)
-    find_package(Qt5Widgets)
-    if (NOT Qt5Widgets_FOUND)
-        message(FATAL_ERROR "Qt 5 is unavailable. To compile with Qt 4 use -DWITH_QT5=OFF.")
-    endif()
-    message(STATUS "Building with Qt 5.")
-else()
-    find_package(Qt4)
-    if (NOT QT4_FOUND)
-        # Try different executable name.
-        set(QT_QMAKE_EXECUTABLE "qmake-qt4")
-        find_package(Qt4)
-        if (NOT QT4_FOUND)
-            message(FATAL_ERROR "Qt 4 is unavailable. To compile with Qt 5 use -DWITH_QT5=ON.")
-        endif()
-    endif()
-    message(STATUS "Building with Qt 4.")
-endif()
+list(APPEND copyq_Qt5_Modules Widgets)
+find_package(Qt5Widgets 5.1.0 REQUIRED)
 
+set(copyq_APP_ID      com.github.hluk.copyq)
 set(copyq_ICON_PREFIX src/images/icon)
 set(copyq_ICON_NORMAL src/images/icon.svg)
 set(copyq_ICON_BUSY   src/images/icon-running.svg)
-set(copyq_DESKTOP     shared/copyq.desktop)
-set(copyq_APPDATA     shared/copyq.appdata.xml)
+set(copyq_DESKTOP     shared/${copyq_APP_ID}.desktop)
+set(copyq_APPDATA     shared/${copyq_APP_ID}.appdata.xml)
 set(copyq_MANPAGE     debian/copyq.1)
 
 # Be more strict while compiling debugging version
@@ -139,11 +119,7 @@
 
     add_definitions( -DHAS_TESTS )
 
-    if (WITH_QT5)
-        list(APPEND copyq_Qt5_Modules Test)
-    else()
-        set(QT_USE_QTTEST TRUE)
-    endif()
+    list(APPEND copyq_Qt5_Modules Test)
 endif()
 
 # Get application version.
@@ -176,11 +152,11 @@
 if (UNIX AND NOT APPLE)
     install(FILES ${copyq_ICON_NORMAL} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-normal.svg)
     install(FILES ${copyq_ICON_BUSY}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-busy.svg)
-    install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX} RENAME ${APPDATA_INSTALL_NAME})
+    install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX})
     install(FILES ${copyq_MANPAGE}     DESTINATION ${MANPAGE_INSTALL_PREFIX})
 
     configure_file(${copyq_DESKTOP}.in ${copyq_DESKTOP})
-    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${copyq_DESKTOP} DESTINATION ${DESKTOP_INSTALL_PREFIX} RENAME ${DESKTOP_INSTALL_NAME})
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${copyq_DESKTOP} DESTINATION ${DESKTOP_INSTALL_PREFIX})
 
     foreach (copyq_ICON_EXTENT 16 22 24 32 48 64 128)
         set(copyq_ICON_SIZE "${copyq_ICON_EXTENT}x${copyq_ICON_EXTENT}")
@@ -197,7 +173,7 @@
     add_definitions( -DCOPYQ_ICON_PREFIX="${ICON_INSTALL_PREFIX}/${ICON_NAME}" )
     add_definitions( -DCOPYQ_THEME_PREFIX="${THEME_INSTALL_PREFIX}" )
     add_definitions( -DCOPYQ_PLUGIN_PREFIX="${PLUGIN_INSTALL_PREFIX}" )
-    add_definitions( -DCOPYQ_DESKTOP_FILE="${DESKTOP_INSTALL_PREFIX}/${DESKTOP_INSTALL_NAME}" )
+    add_definitions( -DCOPYQ_DESKTOP_FILE="${DESKTOP_INSTALL_PREFIX}/${copyq_APP_ID}.desktop" )
     add_definitions( -DCOPYQ_TRANSLATION_PREFIX="${TRANSLATION_INSTALL_PREFIX}" )
     add_definitions( -DCOPYQ_ICON_NAME="${ICON_NAME}" )
 endif()
