=== debian/changelog ===
copyq (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: Use "dh_missing --fail-missing".
  * d/patches: Backport several patches from upstream trunk.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 02 May 2018 09:51:56 +0800

copyq (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Backport various patches from upstream trunk.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 12 Apr 2018 21:27:18 +0800

copyq (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Backport patch for X11 from upstream trunk.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 20 Mar 2018 00:08:52 +0800
