=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper (>= 11~),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libxfixes-dev,
  libxtst-dev,
+ libqt5x11extras5-dev,
  qtbase5-private-dev,
  qtscript5-dev,
  qttools5-dev,
@@ -18,7 +19,7 @@
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git
