=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-export QT_SELECT=5
+export QT_SELECT := 5
 
 
 %:
@@ -42,3 +42,6 @@
 	sphinx-build docs/ $@
 
 override_dh_auto_install-indep:
+
+override_dh_missing:
+	dh_missing --fail-missing
