=== plugins/itemencrypted/CMakeLists.txt ===
set(copyq_plugin_itemencrypted_SOURCES
    ../../src/common/config.cpp
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/shortcuts.cpp
    ../../src/common/textdata.cpp
    ../../src/gui/iconfont.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/item/serialize.cpp
    )

copyq_add_plugin(itemencrypted)
