=== debian/changelog ===
copyq (3.5.0-2) unstable; urgency=medium

  * Update my uploader email address and use the @debian.org one.
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Move libqt5svg5 to Recommends: field.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 28 Aug 2018 12:45:04 -0400

copyq (3.5.0-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: Drop backported patches.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 21 Jun 2018 15:26:46 +0800
