=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
  debhelper (>= 11~),
 Build-Depends-Arch:
  libqt5svg5-dev,
+ libqt5x11extras5-dev,
  libxfixes-dev,
  libxtst-dev,
- libqt5x11extras5-dev,
  qtbase5-private-dev,
  qtscript5-dev,
  qttools5-dev,
@@ -19,7 +19,7 @@
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git
@@ -31,8 +31,8 @@
  ${shlibs:Depends},
 Recommends:
  copyq-plugins (= ${binary:Version}),
+ libqt5svg5,
 Suggests:
- libqt5svg5,
  copyq-doc,
 Description: Advanced clipboard manager with editing and scripting features
  CopyQ monitors system clipboard and saves its content in customized tabs.
@@ -60,6 +60,21 @@
   * Support for simple Vim-like editor and shortcuts
   * Many more features
 
+Package: copyq-doc
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
+Section: doc
+Multi-Arch: foreign
+Description: Documentation and examples for CopyQ - HTML format
+ CopyQ monitors system clipboard and saves its content in customized tabs.
+ Saved clipboard can be later copied and pasted directly into any application.
+ .
+ This contains the documentation in HTML format.
+
 Package: copyq-plugins
 Architecture: any
 Depends:
@@ -82,18 +97,3 @@
   * Synchronize Items to Disk
   * Item Tags
   * Pinned Items
-
-Package: copyq-doc
-Architecture: all
-Depends:
- ${sphinxdoc:Depends},
- ${misc:Depends},
-Built-Using:
- ${sphinxdoc:Built-Using},
-Section: doc
-Multi-Arch: foreign
-Description: Documentation and examples for CopyQ - HTML format
- CopyQ monitors system clipboard and saves its content in customized tabs.
- Saved clipboard can be later copied and pasted directly into any application.
- .
- This contains the documentation in HTML format.
