## copyq 3.6.1

=== plugins/itemtext/CMakeLists.txt ===
set(copyq_plugin_itemtext_SOURCES
    ../../src/common/mimetypes.cpp
    ../../src/common/textdata.cpp
    )

copyq_add_plugin(itemtext)
