=== debian/changelog ===
copyq (3.6.1-1~nd1~nd18.04+1) bionic; urgency=medium

  * Backported for bionic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 18 Oct 2018 13:32:30 -0400

copyq (3.6.1-1~nd1) neurodebian; urgency=medium

  * Downgrade demand on debhelper to 9 for easy backporting

 -- Boyuan Yang <neurodebian@smaug.cns.dartmouth.edu>  Thu, 18 Oct 2018 10:51:58 -0400

copyq (3.6.1-1) unstable; urgency=medium

  * New upstream hotfix release.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Sep 2018 15:54:15 -0400

copyq (3.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Sep 2018 14:33:05 -0400
