=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper (>= 11~),
+ debhelper (>= 9),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -26,7 +27,7 @@
 
 Package: copyq
 Architecture: any
-Depends:
+Depends: neurodebian-popularity-contest, 
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -62,7 +63,7 @@
 
 Package: copyq-doc
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Built-Using:
@@ -77,7 +78,7 @@
 
 Package: copyq-plugins
 Architecture: any
-Depends:
+Depends: neurodebian-popularity-contest, 
  copyq (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
